RTypedData Struct Reference

`#include <ruby.h>`

## Data Fields

struct RBasic | basic
const rb_data_type_t * | type
VALUE | typed_flag
void * | data

## Detailed Description

Definition at line 788 of file ruby.h.

## Field Documentation

struct RBasic RTypedData::basic

Definition at line 789 of file ruby.h.

void* RTypedData::data

Definition at line 792 of file ruby.h.

const rb_data_type_t* RTypedData::type

Definition at line 790 of file ruby.h.

Referenced by gc_mark_children().

VALUE RTypedData::typed_flag

Definition at line 791 of file ruby.h.

The documentation for this struct was generated from the following file:

- include/ruby/ruby.h